<?php
/**
 * pragmaMx  Content Management System
 * Copyright (c) 2007 pragmaMx Dev Team - http://pragmaMx.org
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 */
 
 /* Site_Map version light for crawlers, or for customizing error page ex: put this link(./Sitemap.php) in 404 error page */

include_once 'mainfile.php';

if (!defined('PMX_VERSION') || (version_compare(PMX_VERSION, '0.1.11', '<'))) {
    if (MX_IS_ADMIN) {
        mxMessageScreen('pragmaMx 0.1.11 or higher is required ');
    } else {
        mxErrorScreen(_MODULENOTACTIVE);
    }
}
$modname = 'Site_Map';

if (!mxModuleAllowed($modname)) mxErrorScreen(_MODULENOTACTIVE, 'Error', 0);
mxGetLangfile($modname);
include_once(PMX_MODULES_DIR . DS . $modname ."/functions.php"); //to retrieve all needed functions
include_once(PMX_THEMES_DIR . DS . mxGetTheme() ."/settings.php");//to get the background colors ($bgcolor1, $bgcolor2...)
defined("NL") or define("NL", "\n");
/*
$crawler =  preg_match('/bot|spider|AllTheWeb|yahoo|Seeker|Lycos|Crawler/i', MX_USER_AGENT);
if ($crawler == 1) $map_limit = $map_limit_bots;
$agent = "x" . strtolower(MX_USER_AGENT);
if ((strpos($agent, "bot")) || (strpos($agent, "google")) || (strpos($agent, "slurp")) 
|| (strpos($agent, "scooter")) || (strpos($agent, "spider")) || (strpos($agent, "infoseek"))) $browser = "Bot";

*/
ob_end_clean();
$rssLink = '';
$GLOBALS['DOCTYPE'] = (empty($GLOBALS['DOCTYPE'])) ? 0 : intval($GLOBALS['DOCTYPE']);
$doctype_arr = mxDoctypeArray($GLOBALS['DOCTYPE']);?>
<?php echo $doctype_arr['value'] . "\n"; ?>
<?php if ($doctype_arr['xhtml']) :?>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo _DOC_LANGUAGE; ?>" lang="<?php echo _DOC_LANGUAGE; ?>" dir="<?php echo _DOC_DIRECTION; ?>">
<?php else: ?>
<html lang="<?php echo _DOC_LANGUAGE; ?>" dir="'<?php echo _DOC_DIRECTION; ?>">';
<?php endif ?>
<head>
<title><?php echo htmlspecialchars(strip_tags($GLOBALS['sitename'])) . ' - ' ._PAGETITLE ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo _CHARSET ?>" />
<meta http-equiv="Content-Language" content="<?php echo _DOC_LANGUAGE ?>" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<meta http-equiv="expires" content="0" />
<meta name="revisit-after" content="10 DAYS" />
<meta name="robots" content="INDEX, FOLLOW" />
<meta name="resource-type" content="DOCUMENT" />
<meta name="distribution" content="GLOBAL" />
<meta name="rating" content="general" />
<meta name="author" content="<?php echo htmlspecialchars(strip_tags($GLOBALS['sitename'])) ?>" />
<meta name="keywords" content="<?php echo htmlspecialchars($GLOBALS['metakeywords']) ?>, <?php echo MX_VERSION ?>" />
<meta name="generator" content="<?php echo MX_VERSION ?> - by http://pragmaMx.org" />
<meta name="copyright" content="Copyright (c) <?php echo Date("Y") ?> by <?php echo htmlspecialchars(strip_tags($GLOBALS['sitename'])) ?>" />
<meta name="description" content="<?php echo htmlspecialchars(strip_tags($GLOBALS['slogan'])) ?>" />
<?php if ($use_treeview): ?>
<link rel="stylesheet" href="<?php echo PMX_JAVASCRIPT_PATH; ?>jquery/jquery.treeview.css" />
<script type="text/javascript" src="<?php echo PMX_JAVASCRIPT_PATH; ?>jquery/jquery.js"></script>
<script src="<?php echo PMX_JAVASCRIPT_PATH; ?>jquery/lib/jquery.cookie.js" type="text/javascript"></script>
<script src="<?php echo PMX_JAVASCRIPT_PATH; ?>jquery/jquery.treeview.js" type="text/javascript"></script>
 <?php if (version_compare(PMX_VERSION, '0.1.12', '>=')): ?>
<script type="text/javascript">
		$(function() {
			$("#tree").treeview({
				collapsed: true,
                                <?php echo (($treeview_use_anime == 1) ? 'animated: "'.$treeview_anime_speed.'",'. NL : '') ?>
				control:"#sidetreecontrol",
				<?php echo (($treeview_use_cookie == 1) ? 'persist: "cookie"'. NL : '') ?>
			});
		})	
</script>
<?php endif ?>
 <?php endif ?>
<?php include_once(PMX_SYSTEM_DIR . DS . 'my_header.php'); // for include rss feed links?>
<style type="text/css">

body{
	margin:0;
	padding:0;
	background:<?php echo $bgcolor3; ?>;
	font:70% Arial, Helvetica, sans-serif; 
	color:#555;
	line-height:150%;
	text-align:left;
}
a{
	text-decoration:none;
	color:#057fac;
}
a:hover{
	text-decoration:none;
	color:#999;
}
h1{
	font-size:140%;
	margin:0 20px;
	line-height:80px;	
}
#sitemap{
    margin:0 20px;
    }
.treeview, .treeview ul {
	padding: 0;
	margin: 0;
	list-style: none;
}

.treeview ul {
	background-color: <?php echo $bgcolor2; ?>;
	margin-top: 4px;
}
#mapcontainer{
	margin:0 auto;
	width:680px;
	background:<?php echo $bgcolor1; ?>;
	padding-bottom:20px;
}
#sitemap{margin:0 20px;}

h1, h2 { font-family: 'trebuchet ms', verdana, arial; padding: 10px; margin: 0 }
h1 { font-size: large }
#main { padding: 1em; }

a img { border: none; }

</style>
</head>
<body>
<?php if (version_compare(PMX_VERSION, '0.1.12', '<')): ?>
<script type="text/javascript">
		$(function() {
			$("#tree").treeview({
				collapsed: true,
                                <?php echo (($treeview_use_anime == 1) ? 'animated: "'.$treeview_anime_speed.'",'. NL : '') ?>
				control:"#sidetreecontrol",
				<?php echo (($treeview_use_cookie == 1) ? 'persist: "cookie"'. NL : '') ?>
			});
		})
		
	</script>
<?php endif ?>
<div id="mapcontainer">
    <h1><?php echo htmlspecialchars(strip_tags($GLOBALS['sitename'])); ?> : <?php echo _PAGETITLE; ?> </h1>
	<div id="sitemap">
    <noscript><span class="errorbox-bad"><?php echo (defined("_JSSHOULDBEACTIVE") ? _JSSHOULDBEACTIVE : 'To use this feature, javascript must be enabled.');// _JSSHOULDBEACTIVE not defined in pmx 0.1.11 ?></span></noscript>
        <?php if ($use_treeview):?>
<div id="sidetreecontrol"><a href="?#"><ins><?php echo _EXPAND2COLLAPSE_TITLE_C; ?></ins></a><ins> | </ins><a href="?#"><ins><?php echo _EXPAND2COLLAPSE_TITLE_E; ?></ins></a></div>
<?php endif ?>
            <ul id="tree">
                <li><a href="./" title="<?php echo _HOME; ?>"><strong><?php echo _HOME; ?></strong></a>
                </li>
<?php
$modules = listAllowedModules(); //arrayOrderBy(listAllowedModules(), $module_order_by);
foreach ($modules as $module ) {
//$specificmodulearg = ((array_key_exists($module['modulename'], $specificargarray)) ? $specificargarray[$module['modulename']] : '');
$specificmodulearg = ((array_key_exists($module['modulename'], $specificargarray)) ? $specificargarray[$module['modulename']] : '');
if (array_key_exists($module['modulename'], $rssFeed) && ($GLOBALS['backend_active'])) 
        $rssLink = '&nbsp;&nbsp;&nbsp;<a href="' . MX_BASE_URL . $rssFeed[$module['modulename']] .'">' . IMG_RSS . '</a>';
       
if (!in_array($module['modulename'], $excludedmodules)):?>
                    <li>
                    <a href="<?php echo MX_BASE_URL; ?>modules.php?name=<?php echo $module['modulename']; ?>"  
                    title="<?php echo $module['custom_title']; ?>"><strong><?php echo $module['custom_title']; ?></strong></a>

        <?php echo (isset($rssLink) ? $rssLink : ''); ?>
        <?php callMapModule($module['modulename'], $map_limit, $specificmodulearg); ?>
        
                    </li>

<?php endif;
unset($rssLink);
}

?>
                </ul>

    </div>
</div>
    </body>
</html>